package com.hys.app.model.erp.dto;

import com.hys.app.model.erp.vo.GoodsVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

/**
 * 订单明细 新增|编辑 请求参数
 *
 * @author 张崧
 * 2024-01-24 16:39:38
 */
@Data
@ApiModel(value = "订单明细 新增|编辑 请求参数")
public class OrderItemDTO {
    private Long id;

    @ApiModelProperty(name = "goods_id", value = "商品id")
    @NotNull(message = "商品id不能为空")
    private Long goodsId;

    @ApiModelProperty(name = "goods_name", value = "商品名称")
    @NotNull(message = "商品id不能为空")
    private String name;

    @ApiModelProperty(name = "num", value = "数量")
    @NotNull(message = "数量不能为空")
    @Min(value = 1, message = "数量必须大于0")
    private Integer num;

    private GoodsVO goodsVO;

}

