package com.hys.app.model.erp.dto;

import com.hys.app.model.erp.vo.GoodsVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 库存报损单产品实体DTO
 *
 * @author dmy
 * 2023-12-05
 */
@Data
public class StockDamageReportProductDTO implements Serializable {

    private static final long serialVersionUID = -1175913255503592167L;
    @ApiModelProperty(name = "goods_id", value = "商品ID", required = true)
    @NotNull(message = "商品ID不能为空")
    private Long goodsId;

    @ApiModelProperty(name = "report_num", value = "报损数量", required = true)
    @NotNull(message = "报损数量不能为空")
    private Integer reportNum;

    private GoodsVO goodsVO;
}
